# Uses of Class
org.eclipse.jdt.core.dom.MemberValuePair

Packages that use MemberValuePair
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of MemberValuePair in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return MemberValuePair
Modifier and Type
Method
Description
`MemberValuePair`
AST.`newMemberValuePair()`
Creates and returns a new unparented member value pair node with an unspecified member name and value.
Methods in org.eclipse.jdt.core.dom with parameters of type MemberValuePair
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(MemberValuePair node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(MemberValuePair node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(MemberValuePair node)`
Visits the given type-specific AST node.